/*
Now we want to show just the product units sold and some additional
information to reiterate the first statement.

Show me the total units sold for each product where the required data is earlier than today.
*/

SELECT   Product_Dim.ProductName, 
	 Product_Dim.CategoryName, 
         Product_Dim.SupplierName, 
         SUM(Sales_Fact.LineItemQuantity) AS "Total Units Sold"
FROM     Sales_Fact, Product_Dim
WHERE    Sales_Fact.ProductKey = Product_Dim.ProductKey         
GROUP BY Product_Dim.ProductName, 
         Product_Dim.CategoryName, 
         Product_Dim.SupplierName, 
         Sales_Fact.RequiredDate
