CREATE TABLE [Sales_Fact] (
	[TimeKey] [int] 		NOT NULL ,
	[CustomerKey] [int] 		NOT NULL ,
	[ShipperKey] [int] 		NOT NULL ,
	[ProductKey] [int] 		NOT NULL ,
	[EmployeeKey] [int] 		NOT NULL ,
	[RequiredDate] [datetime] 	NOT NULL ,
	[LineItemFreight] [money] 	NOT NULL ,
	[LineItemTotal] [money] 	NOT NULL ,
	[LineItemQuantity] [smallint] 	NULL ,
	[LineItemDiscount] [money] 	NOT NULL ,
	CONSTRAINT [PK_Sales_Fact] PRIMARY KEY 
	(
		[TimeKey],
		[CustomerKey],
		[ShipperKey],
		[ProductKey],
		[EmployeeKey]
	) 

CREATE TABLE [Product_Dim] (
	[ProductKey] [int]		NOT NULL ,
	[ProductID] [int]		NOT NULL ,
	[ProductName] [varchar] (40)	NOT NULL ,
	[SupplierName] [varchar] (40)	NOT NULL ,
	[CategoryName] [varchar] (15)	NOT NULL ,
	[ListUnitPrice] [money]		NOT NULL ,
	CONSTRAINT [PK_Product_Dim] PRIMARY KEY 
	(
		[ProductKey]
	)

CREATE TABLE [Employee_Dim] (
	[EmployeeKey] [int]		NOT NULL ,
	[EmployeeID] [int] 		NOT NULL ,
	[EmployeeName] [varchar] (30)	NOT NULL ,
	[HireDate] [datetime] 		NULL ,
	CONSTRAINT [PK_Employee_Dim] PRIMARY KEY
	(
		[EmployeeKey]
	) 

CREATE TABLE [Customer_Dim] (
	[CustomerKey] [int] 		NOT NULL ,
	[CustomerID] [char] (5)		NOT NULL ,
	[CompanyName] [varchar] (40)	NOT NULL ,
	[ContactName] [varchar] (30)	NOT NULL ,
	[ContactTitle] [varchar] (30)	NOT NULL ,
	[Address] [varchar] (60) 	NOT NULL ,
	[City] [varchar] (15) 		NOT NULL ,
	[Region] [varchar] (15)		NOT NULL ,
	[PostalCode] [varchar] (10)	NULL ,
	[Country] [varchar] (15)	NOT NULL ,
	[Phone] [varchar] (24)		NOT NULL ,
	[Fax] [varchar] (24)		NULL ,
	CONSTRAINT [PK_Customer_Dim] PRIMARY KEY 
	(
		[CustomerKey]
	)  



CREATE TABLE [Shipper_Dim] (
	[ShipperKey] [int]		NOT NULL ,
	[ShipperID] [int] 		NOT NULL ,
	[ShipperName] [varchar] (40)	NOT NULL ,
	CONSTRAINT [PK_Shipper_Dim] PRIMARY KEY
	(
		[ShipperKey]
	)  

CREATE TABLE [Time_Dim] (
	[TimeKey] [int] 		NOT NULL ,
	[TheDate] [datetime]		NOT NULL ,
	[DayOfWeek] [varchar] (20)	NOT NULL ,
	[TMonth] [int] 			NULL ,
	[TYear] [int] 			NOT NULL ,
	[TQuarter] [int] 		NOT NULL ,
	[Holiday] [varchar] (1) 	NOT NULL ,
	[Weekend] [varchar] (1) 	NULL ,
	[YearMonth] [varchar] (10)	NOT NULL ,
	[WeekOfYear] [int] 		NOT NULL ,
	CONSTRAINT [PK_Time_Dim] PRIMARY KEY 
	(
		[TimeKey]
	)  





